using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.Common;
using System.Data.SqlClient;
using System.Text;

namespace digioz
{
    public interface IDataRelational
    {
        void openConnection();
        void closeConnection();
        DataTable QueryDBDataset(string psSQL);
        DataTable QueryDBDataset(string psSQL, DbParameter[] poParameter);
        DataTable QueryDBDatasetProc(string psSQL, out int piCount, DbParameter[] poParameter);
        DataTable GetDBDataset(string psSQL, string psHost, string psName, string psUser, string psPass);
        //SqlDataReader QueryDBReader(String psSQL);
        object ExecDBScalar(string psSQL);
        object ExecDBScalar(string psSQL, DbParameter[] poParameter);
        void ExecDB(string psSQL);
        void ExecDB(string psSQL, out int piCount, DbParameter[] poParameter);
        void UpdateDBDataset();
        void DeleteDBDataset(int piPrimarykey);
        void CreateDatabase(string psDatabaseName);
        void ExecDBProc(string psSQL, out int piCount, DbParameter[] poParameter);
        string sErr { get; }
    }
}

